<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fusiontube_upgrade.php
| Author: Nick Jones (Digitanium)
| Modified for FusionTube by PHP-Fusion Mods UK
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."fusion_tube/infusion_db.php";

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}
add_to_title($locale['global_200'].$locale['ft_up001']);
if (!checkrights("VID") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

opentable($locale['ft_up001']);
echo "<div style='text-align:center'><br />\n";
echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

$data_version = dbarray(dbquery("SELECT inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = 'fusion_tube'"));
$version = $data_version['inf_version'];

if (str_replace(".", "", $version) < "109") {
	if (!isset($_POST['stage'])) {
		echo sprintf("A %s ".$locale['ft_up002']."", "".$locale['ft_up003']."")."<br />\n".$locale['ft_up004']."<br /><br />\n";
		echo "<input type='hidden' name='stage' value='2'>\n";
		echo "<input type='submit' name='tube_upgrade' value='".$locale['ft_up005']."' class='button'><br /><br />\n";
	} elseif (isset($_POST['tube_upgrade']) && isset($_POST['stage']) && $_POST['stage'] == 2) {
	echo "<div style='width:550px; margin:15px auto;' class='tbl'>\n";
	echo "Wymienione pliki:<br />\n";
	echo "<div class='tbl-border' style='margin-top:10px; padding: 5px; text-align:left;'>";

		if (file_exists(INFUSIONS."fusion_tube/my_videos.php")) {  echo "<span style='color:red;'>infusions/fusion_tube/my_videos.php </span> do skasowania .<br />"; }
		if (file_exists(INFUSIONS."fusion_tube/inc/search_results.php")) {  echo "<span style='color:red;'>infusions/fusion_tube/search_results.php </span> do skasowania.<br />"; }

	echo "</div></div>";


	$result = dbquery("UPDATE ".DB_INFUSIONS." SET inf_version='1.09' WHERE inf_folder='fusion_tube'");

	echo "".$locale['ft_up006']."<br /><br />\n";
	}
}
else {
	echo "".$locale['ft_up007']."<br /><br />\n";
}
echo "</form>\n</div>\n";
closetable();
// Please do not remove copyright info
  include INFUSIONS."fusion_tube/inc/copyright_func.php";
echo showFTcopyright();
require_once THEMES."templates/footer.php";
?>
