<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: view.php
| Version: 1.09
| Author: PHP-Fusion Mods UK
| Developers: Craig & DrunkeN
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."fusion_tube/inc/ft_stats_func.php";
include INFUSIONS."fusion_tube/inc/nav_func.php";
include INFUSIONS."fusion_tube/inc/tags_func.php";
include INFUSIONS."fusion_tube/inc/ft_favs.php";

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}
include LOCALE.LOCALESET."global.php";

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));

add_to_head("<link rel='stylesheet' href='".INFUSIONS."fusion_tube/inc/css/vid-css.css' type='text/css' media='screen' />");

if ($ftsettings['vidsenable'] !== "1"  && !checkrights('VID')) { redirect("../../index.php"); }
if ($ftsettings['vidsenable'] !== "1" && iADMIN && checkrights('VID')) {  echo "<div id='close-message'><div class='admin-message'><span style='color: #FF0000; font-weight: bold;'>".$locale['ft_194']."</span><br />".$locale['ft_112']."</div></div>\n";  }

$res = 0;
if (isset($_GET['video_id']) && isnum($_GET['video_id']) && isset($_GET['cat_id']) && isNum($_GET['cat_id'])) {
	$result = dbquery("SELECT video_cat_id, video_cat_name, video_cat_sorting, video_cat_access FROM ".DB_VIDEO_CATS." WHERE video_cat_id='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['video_cat_access'])) {
			$rows = dbcount("(video_id)", DB_VIDEOS, "video_id='".$_GET['video_id']."'");
			if ($rows != 0) {
				$res = 1;
				$result = dbquery("SELECT vi.*, u.user_id, u.user_name, u.user_status FROM ".DB_VIDEOS." vi LEFT JOIN ".DB_USERS." u ON u.user_id=vi.video_user WHERE video_id='".$_GET['video_id']."' LIMIT 0,1");
				$resultb = dbquery("UPDATE ".DB_VIDEOS." SET video_views=video_views+1 WHERE video_id='".$_GET['video_id']."'");
				$data = dbarray($result);

				// CHECK THE YOUTUBE VIDEO ID IS APPENDED TO THE END OF QUERY STRING IF NOT REDIRECT TO FUSIONTUBE INDEX
				$url_query_check= FUSION_QUERY;
				if (!preg_match ("/(^cat_id=)[0-9]+(&amp;video_id=)[0-9]+(&amp;v=".stripslashes($data['video_url']).")/is", $url_query_check))
				{redirect(INFUSIONS."fusion_tube/index.php");}

				if ($data['video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
				 } else {
					$new = "";
				}

				add_to_title($locale['global_200']." ".$locale['ft_001']." &raquo; ".$cdata['video_cat_name']." &raquo; ".$data['video_name']);
		       add_to_head("<script type='text/javascript' src='".BASEDIR."includes/jquery/admin-msg.js'></script>");

			  include INFUSIONS."fusion_tube/inc/ft_meta.php";

				if ($ftsettings['favsenable'] == "1") {
				if (isset($_GET['status'])) {
				if ($_GET['status'] == "add") {
						echo "<div id='close-message'><div class='admin-message'>".$locale['ft_213']."</div></div>";
				}elseif ($_GET['status'] == "remove") {
						echo "<div id='close-message'><div class='admin-message'>".$locale['ft_214']."</div></div>";

				} else { redirect("../../index.php"); }
			}
			}


				if ($ftsettings['video_nav'] == "1") { echo ftnav(); }

				opentable($data['video_name']);

				echo "<!--pre_video-->";
				echo "<div style='margin-bottom:15px; width: 100%;'  class='tbl-border'>\n";
				echo "<div  class='tbl2'><a href='".INFUSIONS."fusion_tube/videos.php'>".$locale['ft_001']."</a> &raquo; <a href='".INFUSIONS."fusion_tube/videos.php?cat_id=".$cdata['video_cat_id']."'>".$cdata['video_cat_name']."</a> &raquo; ".$data['video_name'];
				echo "</div></div>\n";

				if (iMEMBER && $ftsettings['favsenable'] == "1") { echo ft_favs(); }

				if(iMEMBER && $userdata['user_id'] == $data['user_id']) {
				echo "<div style='margin-bottom:15px; width: 100%;' class='tbl-border'>\n";
				echo "<div class='tbl2'><span class='vid-edit'>".$userdata['user_name'].", ".$locale['ft_142']." &nbsp;<a href='".INFUSIONS."fusion_tube/edit_video.php?action=edit&amp;video_id=".$data['video_id']."' title='".$locale['ft_004']."'><img src='".INFUSIONS."fusion_tube/images/edit2.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_004']."' /></a></span></div></div>";
				}

				if ($ftsettings['video_descimg_pos'] == "1"){
				echo"<div class='tbl-border center' style='margin-bottom:15px; min-height: 150px;'>\n";
				echo"<div style='float: left; padding-left: 20px; margin-top: 4px; width: 190px; min-height: 150px;'><h3><span class='img'>".$locale['ft_010']."</span></h3>";
				if (strlen($data['video_url']) == "6") {
				echo"<img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='margin-left: 30px; border: 0px; width: 120px; height: 90px;' />\n";
				}else{
				echo"<img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='margin-left: 30px; border: 0px; width: 120px; height: 90px;' />\n";
				}
				echo"</div>";
				if ($data['video_description'] != "") {
				echo"<div class='tbl' style=' text-align:left; min-height: 150px;'><h3><span class='desc'>".$locale['ft_008']."</span></h3>
				<div style='margin-left: 50px; padding-left: 180px;'>".nl2br(parsesmileys(parseubb(stripslashes($data['video_description']))))."</div>\n";
				echo"</div>";
				}

				echo"</div>\n";
				}

				if ($data['video_url'] != "") {
				echo "<div style='margin-bottom:15px; width: 100%; min-height: 410px;' class='tbl-border'>\n";
				if ($ftsettings['relatedvids'] == "1"){
				echo"<div style='margin-top: 3px; float:left;'>";
				require_once  INFUSIONS."fusion_tube/inc/related_videos.php";
				echo"</div>";
				}

				echo"<div class='tbl1' style='padding-right: 40px;'>";
				if ($ftsettings['lights'] == "1"){
				echo" <div title='".$locale['ft_226']."' id='switch'></div>";
				}
				echo"<h3>";
			    if (strlen($data['video_url']) == "6") {
				echo"<span style='text-align:left;' class='nameb'>".$data['video_name']."  ".$new."</span></h3>";
				}else{
				echo"<span style='text-align:left;' class='name'>".$data['video_name']."  ".$new."</span></h3>";
				}
				echo"</div>";

				echo"<div align='center' class='tbl1'>";

				echo"<span style='padding-bottom: 15px; text-align:center;'>
							 ";
				if (strlen($data['video_url']) == "6") {
				echo"<iframe id='videob' style='position: relative; z-index: 100; background-color: #".stripslashes($ftsettings['player_frame_colour']).";  border: ".stripslashes($ftsettings['player_frame_size'])."px solid #".stripslashes($ftsettings['player_frame_colour'])."; border-radius : 5px; -moz-border-radius : 5px; -webkit-border-radius : 5px;' src='http://www.dailymotion.com/embed/video/".stripslashes($data['video_url'])."?related=0&amp;highlight=".($ftsettings['theme']==1?"B91F1F":"C9C9C9")."&amp;background=".($ftsettings['theme']==1?"111111":"555555")."&amp;foreground=".($ftsettings['colour']==1?"cccccc":"C9C9C9")."' width='".stripslashes($ftsettings['video_width'])."' height='".stripslashes($ftsettings['video_height'])."' frameborder='".stripslashes($ftsettings['player_frame_size'])."'></iframe></span>";
				}else{
				echo"<iframe id='videob'  style='position: relative; z-index: 100; background-color: #".stripslashes($ftsettings['player_frame_colour']).";  border: ".stripslashes($ftsettings['player_frame_size'])."px solid #".stripslashes($ftsettings['player_frame_colour'])."; border-radius : 5px; -moz-border-radius : 5px; -webkit-border-radius : 5px; ' width='".stripslashes($ftsettings['video_width'])."' height='".stripslashes($ftsettings['video_height'])."' src='http://www.youtube.com/embed/".stripslashes($data['video_url'])."?rel=0&wmode=transparent&showinfo=0&theme=".($ftsettings['theme']==1?"dark":"light")."&color=".($ftsettings['colour']==1?"white":"red")."' frameborder='0' allowfullscreen></iframe></span>";
			}

				echo"<div align='center' width='".stripslashes($ftsettings['video_width'])."' style='padding-top: 5px; padding-bottom: 5px;'>";
            $prev_video = dbquery("SELECT video_id, video_url, video_cat, video_name, video_datestamp FROM ".DB_VIDEOS." WHERE video_id < '".$data['video_id']."' AND video_cat='".$data['video_cat']."' ORDER BY video_id DESC LIMIT 1");
            $prev_data = dbarray($prev_video);
            if(dbrows($prev_video)){
            echo "<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$prev_data['video_cat']."&amp;video_id=".$prev_data['video_id']."&amp;v=".stripslashes($prev_data['video_url'])."' title='".$prev_data['video_name']."'><img style='vertical-align: middle; border: 0px;' src='".INFUSIONS."fusion_tube/images/arrow-left-double.png' alt='".$locale['ft_224']."' title='".$locale['ft_224']."' /></a> ";
            }

            $next_video = dbquery("SELECT video_id, video_url, video_cat, video_name, video_datestamp FROM ".DB_VIDEOS." WHERE video_id > '".$data['video_id']."' AND video_cat='".$data['video_cat']."' ORDER BY video_id ASC LIMIT 1");
            $next_data = dbarray($next_video);
            if(dbrows($next_video)){
            echo "<span style='padding-left: 30px;'><a  href='".INFUSIONS."fusion_tube/view.php?cat_id=".$next_data['video_cat']."&amp;video_id=".$next_data['video_id']."&amp;v=".stripslashes($next_data['video_url'])."' title='".$next_data['video_name']."'><img style='vertical-align: middle; border: 0px;' src='".INFUSIONS."fusion_tube/images/arrow-right-double.png' alt='".$locale['ft_225']."' title='".$locale['ft_225']."' /></a></span>";
            }
            echo"</div>";

				echo"</div>\n";
				}

				echo "</div>\n";

				if ($ftsettings['video_descimg_pos'] == "0"){
				echo"<div class='tbl-border center' style='margin-bottom:15px; min-height: 150px;'>\n";

				echo"<div style='float: left; padding-left: 20px; margin-top: 4px; width: 190px; min-height: 150px;'><h3><span class='img'>".$locale['ft_010']."</span></h3>";
				if (strlen($data['video_url']) == "6") {
				echo"<img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='margin-left: 30px; border: 0px; width: 120px; height: 90px;' />\n";
				}else{
				echo"<img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='margin-left: 30px; border: 0px; width: 120px; height: 90px;' />\n";
				}
				echo"</div>";
				if ($data['video_description'] != "") {
				echo"<div class='tbl' style=' text-align:left; min-height: 150px;'><h3><span class='desc'>".$locale['ft_008']."</span></h3>
				<div style='margin-left: 50px; padding-left: 180px;'>".nl2br(parsesmileys(parseubb(stripslashes($data['video_description']))))."</div>\n";
				echo"</div>";
				}

				echo"</div>\n";
				}

				if ($ftsettings['video_comments'] == "1") { $video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='V' AND comment_hidden='0' AND comment_item_id='".$data['video_id']."'"); }
				echo "<div style='margin-bottom:15px; width: 100%;' class='tbl-border'>\n";

				echo "<div  class='tbl2'>";
				echo "<span title='".$locale['ft_018']." ".$locale['ft_060']." ".showdate("%B %d %Y %H:%M", $data['video_datestamp'])." ".$locale['ft_019']." ".$data['user_name']."' class='vid-added'>".$locale['ft_018']." ".$locale['ft_060']." ".showdate("%B %d %Y %H:%M", $data['video_datestamp'])." ".$locale['ft_019']." <a href='".INFUSIONS."fusion_tube/user_page.php?videouser=".$data['video_user']."' class='profile-link'>".$data['user_name']."</a>  \n";
				if ($data['video_update_datestamp']) {
				echo" <span class='small'>".$locale['ft_148']." ".showdate("%B %d %Y %H:%M", $data['video_update_datestamp'])." </span>\n";
				}
				echo"</span>\n";
				echo "</div>";
				echo "<div class='tbl2'>";
				echo"<span title='".$locale['ft_108']."' class='vid-views'>".$data['video_name'] ." ".$locale['ft_061']." ";
				if ($data['video_views'] > 0) { echo $data['video_views'];  }else{ echo" 0"; }
                echo" ".$locale['ft_062'].".</span>";
				echo "</div>\n";
				if ($ftsettings['video_comments'] == "1") {
				echo "<div  class='tbl2'>";
				echo"<span title='".$locale['ft_113']." ".$video_comments."' class='vid-comments'>".$locale['ft_113']." ".$video_comments."</span>";
				echo "</div>\n";
				}

				if ($ftsettings['video_ratings'] == "1") {
				echo "<div  class='tbl2'>";
				$rate = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='V' AND rating_item_id='".$data['video_id']."'");
				$info = dbresult($rate,0);
				$num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='V' AND rating_item_id='".$data['video_id']."'");
				$video_rating = ($num_rating ? $info / $num_rating : 0);
				echo"<span title='".$locale['ft_151']."' class='small'>".$locale['ft_151']."</span><img src='".INFUSIONS."fusion_tube/images/rate/".ceil($video_rating).".gif' width='64' height='12' alt='".ceil($video_rating)."' style='padding-right: 30px; vertical-align:middle;' title='".$locale['ft_124']." ".ceil($video_rating)."' />";
				echo "</div>\n";
				}

				if ($ftsettings['video_social'] == "1") {
				set_image("facebook",  INFUSIONS."fusion_tube/images/facebook.png");
				set_image("google+",  INFUSIONS."fusion_tube/images/google.png");
				set_image("twitter",  INFUSIONS."fusion_tube/images/twitter.png");

				$parameterurl = urlencode($settings['siteurl']."infusions/fusion_tube/".FUSION_SELF."?cat_id=".$cdata['video_cat_id']."&video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url']));
				$title = $settings['sitename'].$locale['global_200'].$data['video_name'];

				echo "<div  class='tbl2'><div class='vid-share'>
				<a class='vid-share-bookmark' onclick=\"window.open('http://www.facebook.com/share.php?u=".$parameterurl."&amp;t=".$title."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img class='vid-share-icons' src='".get_image("facebook")."' alt='".$locale['ft_227']."'  title='".$locale['ft_227']."' /></a>\n
				<a style='padding-left: 3px;' class='vid-share-bookmark' onclick=\"window.open('http://twitter.com/share?url=".$parameterurl."&text=$title','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img class='vid-share-icons' src='".get_image("twitter")."' alt='".$locale['ft_228']."'  title='".$locale['ft_228']."' /></a>\n
				<a style='padding-left: 3px;' class='vid-share-bookmark' onclick=\"window.open('https://plus.google.com/share?url=".$parameterurl."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img class='vid-share-icons' src='".get_image("google+")."' alt='".$locale['ft_229']."'  title='".$locale['ft_229']."' /></a>\n
				\n</div></div>\n";
				}

				if ($ftsettings['video_youtube_link'] == "1") {
				echo "<div class='tbl2'>";
				if (strlen($data['video_url']) == "6") {
				echo"<span class='nameb' title='".$locale['ft_219']."' style='vertical-align: middle; '><input type='text' readonly='readonly' class='textbox' onclick=\"this.focus();this.select();\" value='http://www.dailymotion.com/video/".stripslashes($data['video_url'])."' style='width:40%;margin-bottom: 5px;' /></span><br />\n";
				}else{
				echo"<span class='name' title='".$locale['ft_219']."' style='vertical-align: middle; '><input type='text' readonly='readonly' class='textbox' onclick=\"this.focus();this.select();\" value='http://www.youtube.com/watch?v=".stripslashes($data['video_url'])."' style='width:40%;margin-bottom: 5px;' /></span><br />\n";
				}
				echo"<span class='video-link' title='".$locale['ft_219']."' style='vertical-align: middle;'><input type='text' readonly='readonly'  class='textbox' onclick=\"this.focus();this.select();\" value='".$settings['siteurl']."infusions/fusion_tube/".FUSION_SELF."?cat_id=".$cdata['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."' style='width:40%;' /></span>\n";
				echo "</div>\n";
				}

				if ($ftsettings['search_tags_enable'] =="1" && $data['video_tags'] !=="") {
				echo "<div class='tbl2'>";
				echo"<span title='".$locale['ft_220']."' class='tagz'> ";
				$video_tags = stripslashes($data['video_tags']);
				$tag = strtok($video_tags, " ,");
				while ($tag !== false) {
				echo "[<a class='search-tags' href='".INFUSIONS."fusion_tube/inc/search.php?words=".stripinput(trim($tag))."&search=Search'>".$tag."</a>]&nbsp; ";
				$tag = strtok(" ,");
				}
				echo"</div>";
				}
				echo"</div>";
				echo "<!--sub_video-->";

				closetable();

				if ($ftsettings['report_video'] == "1" && iMEMBER) { require_once  INFUSIONS."fusion_tube/inc/report_video.php"; }

				if ($ftsettings['video_facebook_comments'] == "1") {
				opentable($locale['ft_156']);
				global $settings;
				echo"<div style='text-align:center; margin-top:10px; margin-bottom: 5px;'>\n";
				echo"<div id='fb-root'></div>
				<script>(function(d, s, id) {
				  var js, fjs = d.getElementsByTagName(s)[0];
				  if (d.getElementById(id)) return;
				  js = d.createElement(s); js.id = id;
				  js.src = '//connect.facebook.net/en_GB/all.js#xfbml=1&appId=".$ftsettings['video_facebook_comments_appid']."';
				  fjs.parentNode.insertBefore(js, fjs);
				}(document, 'script', 'facebook-jssdk'));</script>
				<fb:comments href='".$settings['siteurl']."infusions/fusion_tube/view.php?cat_id=".$cdata['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."' num_posts='".stripslashes($ftsettings['video_facebook_comments_numpost'])."' width='".stripslashes($ftsettings['video_facebook_comments_width'])."'></fb:comments></div>\n";
				closetable();
				}

				if ($ftsettings['video_comments'] == "1") {
				if (isset($_GET['video_id']) && isnum($_GET['video_id']) && isset($_GET['cat_id']) && isNum($_GET['cat_id'])) {
				include INCLUDES."comments_include.php";
				showcomments("V", DB_VIDEOS, "video_id", $_GET['video_id'], FUSION_SELF."?cat_id=".$data['video_cat']."&amp;video_id=".$_GET['video_id']."&amp;v=".stripslashes($data['video_url']));
				}
				}

				if ($ftsettings['video_ratings'] == "1") {
				if (isset($_GET['video_id']) && isnum($_GET['video_id']) && isset($_GET['cat_id']) && isNum($_GET['cat_id'])) {
				include INFUSIONS."fusion_tube/inc/ratings_include.php";
				showftratings("V", $_GET['video_id'], FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;video_id=".$_GET['video_id']."&amp;v=".stripslashes($data['video_url']));
				}
				}

				if ($ftsettings['video_stats'] == "1") { echo ft_stats(); }
				if ($ftsettings['video_tags'] == "1") { echo fttags(); }

			}
		}
	}
}
				if ($ftsettings['lights'] == "1"){
add_to_footer("<script src='".BASEDIR."infusions/fusion_tube/inc/js/jquery.allofthelights.js'></script>
		<script>
		$(document).ready(function() {
			$('#videob').allofthelights();
		});
		</script>");
		}


if ($res == 0) { redirect(INFUSIONS."fusion_tube/videos.php"); }

require_once THEMES."templates/footer.php";

?>
