<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fusiontube_multi_center_panel.php
| Version: 1.08
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fusion_tube/infusion_db.php";
include INFUSIONS."fusion_tube/inc/nav_func.php";
include INFUSIONS."fusion_tube/inc/ft_stats_func.php";
include INFUSIONS."fusion_tube/inc/tags_func.php";

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}
    add_to_head("<link rel='stylesheet' href='".INFUSIONS."fusion_tube/inc/css/vid-css.css' type='text/css' media='screen' />");	
   
   $ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));

if ($ftsettings['vidsenable'] == "1") { 

echo "<div class='floatfix center' style='width: auto;'>\n";
echo "<div style='width:33%; float:left;'>\n";

openside($locale['ft_217']);
	$result = dbquery(
			"SELECT vi.video_id, vi.video_name, vi.video_cat, 
				    vi.video_datestamp, vc.video_cat_id, vc.video_cat_access 
					FROM ".DB_VIDEOS." vi
					INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
					".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
					ORDER BY RAND() DESC LIMIT 0,5");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['video_name'], 21);
		echo THEME_BULLET." <a href='".BASEDIR."infusions/fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."' title='".$data['video_name']."' class='side'>$itemsubject</a><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['ft_023']."</div>\n";
}
closeside();

echo "</div>\n<div style='width:33%; float:left; margin:0 3px;'>\n";

openside($locale['ft_175']);
	$result = dbquery(
			"SELECT vi.video_id, vi.video_name, vi.video_views, vi.video_cat, 
				    vi.video_datestamp, vc.video_cat_id, vc.video_cat_access 
					FROM ".DB_VIDEOS." vi
					INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
					".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
					ORDER BY video_views DESC LIMIT 0,5");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['video_name'], 21);
		echo THEME_BULLET." <a href='".BASEDIR."infusions/fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."' title='".$data['video_name']."' class='side'>$itemsubject</a> <span style='float:right;' class='small'>(".$data['video_views'].")</span><br />\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['ft_023']."</div>\n";
}
closeside();

echo "</div>\n<div style='width:33%; float:left;'>\n";

openside($locale['ft_196']);

$result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type='V' AND comment_hidden='0'  
                   ORDER BY comment_datestamp DESC LIMIT 0,5");
										
if (dbrows($result) > 0) {

	while($data = dbarray($result)) {
	
	$resultb = dbquery("SELECT * FROM ".DB_VIDEOS." v, ".DB_VIDEO_CATS." vc WHERE
									v.video_id='".$data['comment_item_id']."' AND
									v.video_cat=vc.video_cat_id
									"
									);
									
if (dbrows($resultb) > 0) {
	
	while($datab = dbarray($resultb)) {
	 
	 $comment = trimlink($data['comment_message'], 18);
	 echo THEME_BULLET." <a href='".BASEDIR."infusions/fusion_tube/view.php?cat_id=".$datab['video_cat_id']."&amp;video_id=".$data['comment_item_id']."#c".$data['comment_id']."' title='".$comment."' class='side'>".$comment."</a><br />\n";

}
} 
} 
}else{ 
echo $locale['ft_197']; 
}

closeside();

echo "</div>\n</div>\n";
	
		if (iMEMBER) { 

	    opentable($locale['ft_174']);
	
	$result = dbquery("SELECT vi.video_id, vi.video_name, vi.video_url, vi.video_views, vi.video_cat, 
						vi.video_datestamp,  vi.video_user, vu.user_id, vu.user_name, vu.user_status,
						vc.video_cat_id, vc.video_cat_access 
						FROM ".DB_VIDEOS." vi
						LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
						INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
						".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
						AND video_user='".$userdata['user_id']."' ORDER BY video_datestamp 
						DESC LIMIT 0,4");

    $numrows = dbrows($result); $i = 1;
    $counter = 0; $columns = 2; 
	if (dbrows($result)) {
	$i = 0;
	echo "<table cellpadding='0' cellspacing='0' width='100%' style='vertical-align:top;' class='tbl-border'>\n";
			while ($data = dbarray($result)) {
				if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
					if ($data['video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
				 } else {	
					$new = "";
				}
				echo "<td width='20%' class='tbl2'>";
					if (strlen($data['video_url']) == "6") {
				echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'><img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
					}else{
				echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
				}
				echo"</td>";
						echo "<td  width='' class='tbl2'>";
						   echo"<a title='".$data['video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'>".trimlink($data['video_name'], 23)."</a>";
						     echo $new; 
						      echo "<br /><span class='small'>".$locale['ft_059']." ".$locale['ft_176']." ".showdate("%d.%m.%Y", $data['video_datestamp'])."</span><br />"; 
						        echo "<span class='small'>".$locale['ft_150']." ".$data['video_views']."</span>\n";	
						          $video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='V' AND comment_hidden='0' AND comment_item_id='".$data['video_id']."'");
						          if ($ftsettings['video_comments'] == "1") {
								   echo"<br /><span class='small'>".$locale['ft_113']." ".$video_comments."</span>";
								   }	
						          if ($ftsettings['video_ratings'] == "1") {
						         $rate = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='V' AND rating_item_id='".$data['video_id']."'");
						        $info = dbresult($rate,0);
						       $num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='V' AND rating_item_id='".$data['video_id']."'");
						     $video_rating = ($num_rating ? $info / $num_rating : 0);
						    echo"<br /><span class='small'>".$locale['ft_151']."</span><img src='".INFUSIONS."fusion_tube/images/rate/".ceil($video_rating).".gif' width='64' height='12' alt='".ceil($video_rating)."' style='padding-right: 30px; vertical-align:middle;' title='".$locale['ft_124']." ".ceil($video_rating)."' />";
						   }
				          echo"</td>\n";
				        $counter++;
				      if ($i != $numrows) {  $i++; }
					 }
	              echo "</tr>\n</table>\n";
	          }else{
	        echo"<div style='text-align:center;'>".$locale['ft_133']."</div>\n";
		   }
	 
     closetable();
	 }
	    opentable($locale['ft_107']);
	
	$result = dbquery("SELECT vi.video_id, vi.video_name, vi.video_views, vi.video_cat, vi.video_url, 
						vi.video_datestamp,  vi.video_user, vu.user_id, vu.user_name, vu.user_status,
						vc.video_cat_id, vc.video_cat_access 
						FROM ".DB_VIDEOS." vi
						LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
						INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
						".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
						 ORDER BY video_datestamp 
						DESC LIMIT 0,4");

    $numrows = dbrows($result); $i = 1;
    $counter = 0; $columns = 2; 
	if (dbrows($result)) {
	$i = 0;
	echo "<table cellpadding='0' cellspacing='0' width='100%' style='vertical-align:top;' class='tbl-border'>\n";
			while ($data = dbarray($result)) {
				if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
					if ($data['video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
				 } else {	
					$new = "";
				}
				 	echo "<td width='20%' class='tbl2'>";
					if (strlen($data['video_url']) == "6") {
				echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'><img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
					}else{
				echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
				}
				echo"</td>";
						echo "<td  width='' class='tbl2'>";
						   echo"<a title='".$data['video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'>".trimlink($data['video_name'], 23)."</a>";
						     echo $new; 
						      echo "<br /><span class='small'>".$locale['ft_059']." ".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." ".$locale['ft_188']." ".showdate("%d.%m.%Y", $data['video_datestamp'])."</span><br />"; 
						        echo "<span class='small'>".$locale['ft_150']."&nbsp;";
								if ($data['video_views'] > 0) { echo  $data['video_views']; } else{ echo"0"; }
								echo"</span>\n";	
						          $video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='V' AND comment_hidden='0' AND comment_item_id='".$data['video_id']."'");
						          if ($ftsettings['video_comments'] == "1") {
								   echo"<br /><span class='small'>".$locale['ft_113']." ".$video_comments."</span>";
								   }	
						          if ($ftsettings['video_ratings'] == "1") {
						         $rate = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='V' AND rating_item_id='".$data['video_id']."'");
						        $info = dbresult($rate,0);
						       $num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='V' AND rating_item_id='".$data['video_id']."'");
						     $video_rating = ($num_rating ? $info / $num_rating : 0);
						    echo"<br /><span class='small'>".$locale['ft_151']."</span><img src='".INFUSIONS."fusion_tube/images/rate/".ceil($video_rating).".gif' width='64' height='12' alt='".ceil($video_rating)."' style='padding-right: 30px; vertical-align:middle;' title='".$locale['ft_124']." ".ceil($video_rating)."' />";
						   }
				          echo"</td>\n";
				        $counter++;
				      if ($i != $numrows) {  $i++; }
					 }
	              echo "</tr>\n</table>\n";
	          }else{
	        echo"<div style='text-align:center;'>".$locale['ft_023']."</div>\n";
		   }
	 
     closetable();
	 
	
	 	    opentable($locale['ft_175']);
	
	$result = dbquery("SELECT vi.video_id, vi.video_name, vi.video_views, vi.video_cat, vi.video_url, 
						vi.video_datestamp,  vi.video_user, vu.user_id, vu.user_name, vu.user_status,
						vc.video_cat_id, vc.video_cat_access 
						FROM ".DB_VIDEOS." vi
						LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
						INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
						".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
						 ORDER BY video_views 
						DESC LIMIT 0,4");

    $numrows = dbrows($result); $i = 1;
    $counter = 0; $columns = 2; 
	if (dbrows($result)) {
	$i = 0;
	echo "<table cellpadding='0' cellspacing='0' width='100%' style='vertical-align:top;' class='tbl-border'>\n";
			while ($data = dbarray($result)) {
				if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
					if ($data['video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
					$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
				 } else {	
					$new = "";
				}
			       		echo "<td width='20%' class='tbl2'>";
					if (strlen($data['video_url']) == "6") {
				echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'><img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
					}else{
				echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
				}
				echo"</td>";
						echo "<td  width='' class='tbl2'>";
						   echo"<a title='".$data['video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."'>".trimlink($data['video_name'], 23)."</a>";
						     echo $new; 
						      echo "<br /><span class='small'>".$locale['ft_059']." ".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." ".$locale['ft_188']." ".showdate("%d.%m.%Y", $data['video_datestamp'])."</span><br />"; 
						        echo "<span class='small'>".$locale['ft_150']."&nbsp;";
								if ($data['video_views'] > 0) { echo  $data['video_views']; } else{ echo"0"; }
								echo"</span>\n";	
						          $video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='V' AND comment_hidden='0' AND comment_item_id='".$data['video_id']."'");
						          if ($ftsettings['video_comments'] == "1") {
								   echo"<br /><span class='small'>".$locale['ft_113']." ".$video_comments."</span>";
								   }	
						          if ($ftsettings['video_ratings'] == "1") {
						         $rate = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='V' AND rating_item_id='".$data['video_id']."'");
						        $info = dbresult($rate,0);
						       $num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='V' AND rating_item_id='".$data['video_id']."'");
						     $video_rating = ($num_rating ? $info / $num_rating : 0);
						    echo"<br /><span class='small'>".$locale['ft_151']."</span><img src='".INFUSIONS."fusion_tube/images/rate/".ceil($video_rating).".gif' width='64' height='12' alt='".ceil($video_rating)."' style='padding-right: 30px; vertical-align:middle;' title='".$locale['ft_124']." ".ceil($video_rating)."' />";
						   }
				          echo"</td>\n";
				        $counter++;
				      if ($i != $numrows) {  $i++; }
					 }
	              echo "</tr>\n</table>\n";
	          }else{
	        echo"<div style='text-align:center;'>".$locale['ft_023']."</div>\n";
		   }
	 
     closetable();
	 

	 	if ($ftsettings['video_stats'] == "1") { echo ft_stats(); }
		if ($ftsettings['video_tags'] == "1") { echo fttags(); }

}
?>