<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: video_cats_center_panel.php
| Version: 1.08
| Author: PHP-Fusion Mods UK
| Developers: Craig & DrunkeN
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fusion_tube/infusion_db.php";

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));
	
if ($ftsettings['vidsenable'] == "1") { 
	opentable($locale['ft_171']);
	
	$result = dbquery("SELECT video_cat_id, video_cat_name, video_cat_image, video_cat_description FROM ".DB_VIDEO_CATS." WHERE ".groupaccess('video_cat_access')." ORDER BY video_cat_name");
	$rows = dbrows($result);
	if ($rows != 0) {
		$counter = 0; $columns = 2; 
				echo "<table cellpadding='0'  cellspacing='0' width='100%'>\n<tr>\n";
				while ($data = dbarray($result)) {
				if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
				$num = dbcount("(video_cat)", DB_VIDEOS, "video_cat='".$data['video_cat_id']."'");
				echo "<td style='vertical-align: middle;' width='10%' class='tbl'>";
				if ($data['video_cat_image'] !=="") {
				echo"<a href='".INFUSIONS."fusion_tube/videos.php?cat_id=".$data['video_cat_id']."'><img class='vid-cat-image' src='".INFUSIONS."fusion_tube/images/cats/".$data['video_cat_image']."' alt='".$data['video_cat_name']."' /></a>";
				}else{
				echo"<a href='".INFUSIONS."fusion_tube/videos.php?cat_id=".$data['video_cat_id']."'><img class='vid-cat-image' src='".INFUSIONS."fusion_tube/images/cats/default.gif' alt='".$data['video_cat_name']."' /></a>\n";
				}
				echo"</td>\n";
				echo "<td style='vertical-align: middle;' width='50%' class='tbl'><a href='".INFUSIONS."fusion_tube/videos.php?cat_id=".$data['video_cat_id']."'>".$data['video_cat_name']."</a> <span class='small2'>($num)</span>";
				if ($data['video_cat_description'] != "") { echo "<br />\n<span class='small'>".$data['video_cat_description']."</span>"; }

				echo "</td>\n";
				$counter++;
				}
				echo "</tr>\n</table>\n";
				} else {
				echo "<div style='text-align:center'><br />\n".$locale['ft_056']." <br /><br />\n</div>\n";
				}
				closetable();
				}
?>