<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: submissions.php
| Author: Nick Jones (Digitanium)
| Co-Author: Daywalker
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."fusion_tube/infusion_db.php";

if (!checkrights("VID") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");
if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}
include LOCALE.LOCALESET."admin/submissions.php";
add_to_head("<script type='text/javascript' src='".INFUSIONS."fusion_tube/inc/js/jquery.tagsinput.js'></script>
<link rel='stylesheet' href='".INFUSIONS."fusion_tube/inc/css/vid-css.css' type='text/css' media='screen' />");
add_to_title($locale['global_200']." ".$locale['ft_091']."");
$links = ""; 
$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));
include INFUSIONS."fusion_tube/admin/admin_nav.php";
if (!isset($_GET['action']) || $_GET['action'] == "1") {
	if (isset($_GET['delete']) && isnum($_GET['delete'])) {
		$result = dbquery("SELECT video_submit_type, video_submit_criteria FROM ".DB_VIDEO_SUBMISSIONS." WHERE video_submit_id='".$_GET['delete']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
		
			opentable($locale['400']);
			$result = dbquery("DELETE FROM ".DB_VIDEO_SUBMISSIONS." WHERE video_submit_id='".$_GET['delete']."'");
			echo "<br /><div style='text-align:center'>".$locale['ft_076']."<br /><br />\n";
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['ft_077']."</a><br /><br />\n";
			echo "<a href='index.php".$aidlink."'>".$locale['ft_078']."</a></div><br />\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$result = dbquery("SELECT video_submit_id, video_submit_criteria FROM ".DB_VIDEO_SUBMISSIONS." WHERE video_submit_type='video' ORDER BY video_submit_datestamp DESC");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				$video_submit_criteria = unserialize($data['video_submit_criteria']);
				$links .= "<tr>\n<td class='tbl1'>".$video_submit_criteria['video_name']."</td>\n";
				$links .= "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=2&amp;t=video&amp;video_submit_id=".$data['video_submit_id']."'>".$locale['ft_079']."</a></span> |\n";
				$links .= "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['video_submit_id']."'>".$locale['ft_022']."</a></span></td>\n</tr>\n";
			}
		} else {
			$links = "<tr>\n<td colspan='2' class='tbl1'>".$locale['ft_080']."</td>\n</tr>\n";
		}
		opentable($locale['ft_081']);
		echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
		echo "<td colspan='2' class='tbl2'><a id='video_submissions' name='video_submissions'></a>\n".$locale['ft_082'].":</td>\n";
		echo "</tr>".$links."</table>\n";
		closetable();
	}
}
if ((isset($_GET['action']) && $_GET['action'] == "2")) {
	if (isset($_POST['add']) && (isset($_GET['video_submit_id']) && isnum($_GET['video_submit_id']))) {
		$video_name =      stripinput($_POST['video_name']);
		$video_description = trim(stripinput($_POST['video_description']));
	    $video_url = stripinput($_POST['video_url']);
		 $video_tags = stripinput($_POST['video_tags']);
			$result = dbquery(
			"SELECT ts.video_submit_criteria, ts.video_submit_datestamp, tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_VIDEO_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.video_submit_user=tu.user_id
			WHERE video_submit_id='".$_GET['video_submit_id']."'"
		);
		
		if (dbrows($result)) {
			$data = dbarray($result);
		$result = dbquery("INSERT INTO ".DB_VIDEOS." (video_user, video_name, video_description, video_url, video_cat, video_tags, video_datestamp) VALUES ('".$data['user_id']."', '".$video_name."', '".$video_description."', '".$video_url."', '".stripinput($_POST['video_cat'])."', '".$video_tags."', '".time()."')");
		if (isset($_POST['add'])) {
		             global $userdata;
					 require_once INCLUDES."infusions_include.php";
		             $sender_id = $userdata['user_id'];
		             $reciever_id = $data['user_id'];
		             $subject = $locale['ft_110'];
		             $message = $locale['ft_111'];
		             send_pm($reciever_id, $sender_id, $subject, $message);
				   }
		$result = dbquery("DELETE FROM ".DB_VIDEO_SUBMISSIONS." WHERE video_submit_id='".$_GET['video_submit_id']."'");
	}
		opentable($locale['ft_083']);
		echo "<br /><div style='text-align:center'>".$locale['ft_084']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['ft_077']."</a><br /><br />\n";
		echo "<a href='index.php".$aidlink."'>".$locale['ft_078']."</a></div><br />\n";
		closetable();
	} else if (isset($_POST['delete']) && (isset($_GET['video_submit_id']) && isnum($_GET['video_submit_id']))) {
		opentable($locale['ft_085']);
		$result = dbquery("DELETE FROM ".DB_VIDEO_SUBMISSIONS." WHERE video_submit_id='".$_GET['video_submit_id']."'");
		echo "<br /><div style='text-align:center'>".$locale['ft_086']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['ft_077']."</a><br /><br />\n";
		echo "<a href='index.php".$aidlink."'>".$locale['ft_078']."</a></div><br />\n";
		closetable();
	} else {
		$result = dbquery(
			"SELECT ts.video_submit_criteria, ts.video_submit_datestamp, tu.user_id, tu.user_name, tu.user_status
			FROM ".DB_VIDEO_SUBMISSIONS." ts
			LEFT JOIN ".DB_USERS." tu ON ts.video_submit_user=tu.user_id
			WHERE video_submit_id='".$_GET['video_submit_id']."'"
		);
		
		if (dbrows($result)) {
			$data = dbarray($result);
			$opts = ""; $sel = "";
			$video_submit_criteria = unserialize($data['video_submit_criteria']);
			$posted = showdate("longdate", $data['video_submit_datestamp']);
			$result2 = dbquery("SELECT video_cat_id, video_cat_name FROM ".DB_VIDEO_CATS." ORDER BY video_cat_name");
			if (dbrows($result2) != 0) {
				while($data2 = dbarray($result2)) {
					if (isset($video_submit_criteria['video_cat'])) {
						$sel = ($video_submit_criteria['video_cat'] == $data2['video_cat_id'] ? " selected='selected'" : "");
					
					}
					$opts .= "<option value='".$data2['video_cat_id']."'$sel>".$data2['video_cat_name']."</option>\n";
				
				
				}
			} else {
				$opts .= "<option value='0'>".$locale['ft_087']."</option>\n";
			}
			
			opentable($locale['440']);
			
			echo "<form name='publish' method='post' action='".FUSION_SELF.$aidlink."&amp;action=2&amp;video_submit_id=".$_GET['video_submit_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td style='text-align:center;' class='tbl'>".$locale['ft_088']." ".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." ".$locale['ft_060']." ".$posted."</td>\n";
			echo "</tr>\n<tr>";
			echo "<td style='text-align:center;' class='tbl'>".$video_submit_criteria['video_name']."<br /></td>\n";
			echo "</tr>\n</table>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td class='tbl'>".$locale['ft_054']."</td>\n";
			echo "<td class='tbl'><select name='video_cat' class='textbox'>\n".$opts."</select></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['ft_006']."</td>\n";
			echo "<td class='tbl'><input type='text' name='video_name' value='".$video_submit_criteria['video_name']."' class='textbox' style='width:300px' /></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl' style='vertical-align:top;'>".$locale['ft_008']."</td>\n";
            echo "<td class='tbl'><textarea name='video_description' cols='60' rows='5' class='textbox' style='width:300px;'>".$video_submit_criteria['video_description']."</textarea><br />\n";
            echo display_bbcodes("200px;", "video_description", "publish")."\n";
            echo "</td></tr>\n<tr>\n";
			echo "<td class='tbl'>".$locale['ft_012']."</td>\n";
			echo "<td class='tbl'><input type='text' name='video_url' value='".$video_submit_criteria['video_url']."' class='textbox' style='width:300px' /></td>\n";
			echo "</tr>";
			echo "<td class='tbl'><span id='video-submit-tipe' title='".$locale['ft_221']."'><img style='border: 0px; vertical-align:middle;' src='".INFUSIONS."fusion_tube/images/help.png' alt='".$locale['ft_220']."'/></span> ".$locale['ft_220'].":</td>\n";
	        echo "<td class='tbl'><input name='video_tags' id='tags_1' type='text' class='tags' value='".$video_submit_criteria['video_tags']."' /></td>\n";
	        echo "</tr>\n<tr>\n";
			
			echo"\n</table>\n";
			echo "<div style='margin-bottom: 15px; text-align:center'><br />\n";
			echo $locale['ft_089']."<br />\n";
			echo "<input type='submit' name='add' value='".$locale['ft_090']."' class='button' />\n";
			echo "<input type='submit' name='delete' value='".$locale['ft_022']."' class='button' /></div>\n";
			echo "</form>\n";
			if ($video_submit_criteria['video_url'] != "") {
			echo "<table style='style='margin-top: 15px;' margin-bottom:15px;' width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
			echo "<tr>\n<td colspan='2' class='tbl1'><h3><div  class='name'>".$video_submit_criteria['video_name']." ".$locale['ft_172']."</div></h3>
			<div style='padding-bottom: 15px;  text-align:center;'>";
			if (strlen($video_submit_criteria['video_url']) == "6") {
			echo"<iframe style='position: relative; background-color: #".stripslashes($ftsettings['player_frame_colour']).";  border: ".stripslashes($ftsettings['player_frame_size'])."px solid #".stripslashes($ftsettings['player_frame_colour'])."; border-radius : 5px; -moz-border-radius : 5px; -webkit-border-radius : 5px;' src='http://www.dailymotion.com/embed/video/".stripslashes($video_submit_criteria['video_url'])."?related=0&amp;highlight=".($ftsettings['theme']==1?"B91F1F":"C9C9C9")."&amp;background=".($ftsettings['theme']==1?"111111":"555555")."&amp;foreground=".($ftsettings['colour']==1?"cccccc":"C9C9C9")."' width='".stripslashes($ftsettings['video_width'])."' height='".stripslashes($ftsettings['video_height'])."' frameborder='".stripslashes($ftsettings['player_frame_size'])."'></iframe></span>";
			}else{
			echo"<iframe  style='position: relative; background-color: #".stripslashes($ftsettings['player_frame_colour']).";  border: ".stripslashes($ftsettings['player_frame_size'])."px solid #".stripslashes($ftsettings['player_frame_colour'])."; border-radius : 5px; -moz-border-radius : 5px; -webkit-border-radius : 5px; ' width='".stripslashes($ftsettings['video_width'])."' height='".stripslashes($ftsettings['video_height'])."' src='http://www.youtube.com/embed/".stripslashes($video_submit_criteria['video_url'])."?rel=0&wmode=transparent&showinfo=0&theme=".($ftsettings['theme']==1?"dark":"light")."&color=".($ftsettings['colour']==1?"white":"red")."' frameborder='0' allowfullscreen></iframe></span>";
			}
			echo"</div></td>\n</tr>\n"; 
			}
			echo "</table>\n";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
}
add_to_footer("<script type='text/javascript'>
		
		function onAddTag(tag) {
			alert('Added a tag: ' + tag);
		}
		function onRemoveTag(tag) {
			alert('Removed a tag: ' + tag);
		}
		
		function onChangeTag(input,tag) {
			alert('Changed a tag: ' + tag);
		}
		
		$(function() {

			$('#tags_1').tagsInput({ minChars:'3', width:'290px'});
		
		});
	
	</script>");
require_once THEMES."templates/footer.php";
?>