<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: tags_func.php
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
| Tags Code Based on code by: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."fusion_tube/infusion_db.php";

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));

if (iMEMBER && $ftsettings['favsenable'] == "1") {
			      
function ft_favs() {

	global $settings, $userdata;
if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."fusion_tube/locale/English.php";
}	

 echo"<div class='tbl-border' style='margin-bottom:15px; padding: 5px;'>";

        if (isset($_GET['video_id']) && isnum($_GET['video_id']) && isset($_GET['cat_id']) && isNum($_GET['cat_id'])) {
            $resultb = dbquery("SELECT vi.*, u.user_id, u.user_name, u.user_status FROM ".DB_VIDEOS." vi LEFT JOIN ".DB_USERS." u ON u.user_id=vi.video_user WHERE video_id='".$_GET['video_id']."' LIMIT 0,1");
				$data = dbarray($resultb);
			$result = dbquery("SELECT vf.*, u.user_id, u.user_name, u.user_status FROM ".DB_VIDEO_FAVS." 
                                  vf LEFT JOIN ".DB_USERS." u ON u.user_id=vf.fav_video_user 
                                   WHERE fav_video_id='".$_GET['video_id']."' AND fav_video_user='".$userdata['user_id']."'");
 
                $dataf = dbarray($result);
                $action_add_favs = "";
                $action_remove_favs = "";
			
				echo" <div style='float: right;'>";
				$resultc = dbquery("SELECT vf.*, u.user_id, u.user_name, u.user_status FROM ".DB_VIDEO_FAVS." vf LEFT JOIN ".DB_USERS." u ON u.user_id=vf.fav_video_user WHERE fav_video_user='".$userdata['user_id']."' ORDER BY fav_id  DESC LIMIT 0,1");
                
				if (dbrows($resultc)) {

	            while($datac = dbarray($resultc)) {
		        $itemsubject = trimlink($datac['fav_video_name'], 21);
		          echo "<span style='font-size: 10px;'>".$locale['ft_199']."  <br /><a href='".BASEDIR."infusions/fusion_tube/view.php?cat_id=".$datac['fav_video_cat']."&amp;video_id=".$datac['fav_video_id']."' title='".$datac['fav_video_name']."' class='side'><strong>$itemsubject</strong></a> [<a href='".BASEDIR."infusions/fusion_tube/my_favourite videos.php'>".$locale['ft_200']."</a>]</span> \n";
	              }
                 } else {
	              echo "<div style='text-align:center'>".$locale['ft_023']."</div>\n";
                }
			
			echo"</div>";
			if (isset($_POST['fav']) && $userdata['user_id'] !== $dataf['user_id']) { 
					$result = dbquery("INSERT INTO ".DB_VIDEO_FAVS." (fav_video_id, fav_video_name, fav_video_url, fav_video_datestamp, fav_video_cat, fav_video_views, fav_video_user) VALUES ('".stripinput($_GET['video_id'])."', '".$data['video_name']."', '".$data['video_url']."', '".$data['video_datestamp']."', '".$data['video_cat']."',  '".$data['video_views']."', '".$userdata['user_id']."')");
					$action_add_favs = redirect(urldecode(FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;video_id=".$_GET['video_id']."&amp;status=add"));
			}
					
			if (isset($_POST['remove_fav']) && $userdata['user_id'] == $dataf['user_id']) { 
				$result = dbquery("DELETE FROM ".DB_VIDEO_FAVS." WHERE fav_video_id='".$_GET['video_id']."' AND fav_video_user='".$userdata['user_id']."'");
				$action_remove_favs = redirect(urldecode(FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;video_id=".$_GET['video_id']."&amp;status=remove"));
			}
				
			
			if ($userdata['user_id'] == $dataf['user_id']) { 
			    echo"<span style='font-size: 10px;'>".$locale['ft_201']." [<strong>".$data['video_name']."</strong>] ".$locale['ft_202']."</span><br /> ";
                echo "<form name='remove_fav' method='post' action='".$action_remove_favs."'>\n";
			    echo"<input type='submit' name='remove_fav' title='".$locale['ft_203']."' value='".$locale['ft_203']."' class='remove_favs' onclick=\"return confirm('".$locale['ft_210']."');\">\n";
			    echo"</form>\n";
				$count_favs = number_format(dbcount("(fav_video_id)", DB_VIDEO_FAVS, "fav_video_id='".$data['video_id']."'"));
			    echo "<span style='font-size: 9px;'>".(($count_favs == "1" ? "<strong>".$count_favs."</strong> ".$locale['ft_204']."" : "<strong>".$count_favs."</strong> ".$locale['ft_205'] .""))."</span>";
			}
			   
			if (!isset($_POST['fav']) && $userdata['user_id'] !== $dataf['user_id']) { 
			    echo"<span style='font-size: 10px;'>".$locale['ft_206']." [<strong>".$data['video_name']."</strong>] ".$locale['ft_207']."</span><br />";
                echo "<form name='fav' method='post' action='".$action_add_favs."'>\n";
			    echo"<input type='submit' name='fav' title='".$locale['ft_208']."' value='".$locale['ft_208']."' class='add_favs'>\n";
			    echo"</form>\n";
			    $count_favs = number_format(dbcount("(fav_video_id)", DB_VIDEO_FAVS, "fav_video_id='".$data['video_id']."'"));
			    echo "<span style='font-size: 9px;'>".(($count_favs == "1" ? "<strong>".$count_favs."</strong> ".$locale['ft_204']."" : "<strong>".$count_favs."</strong> ".$locale['ft_205'] .""))."</span>";
			}
			
                echo"</div>";
        }

    }
	}
?>