<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ft_stats_func.php
| Author: PHP-Fusion Mods UK
| Version: 1.09
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fusion_tube/infusion_db.php";

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));

if ($ftsettings['video_stats'] == "1") {

function ft_stats() {
	
global $settings;
if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."fusion_tube/locale/English.php";
}	
include INFUSIONS."fusion_tube/infusion_db.php";



	opentable($locale['ft_128']);
	echo "<div width='100%'>\n";
	echo "<div style='height: 30px; float: left; vertical-align: middle; padding-bottom: 10px; '  class='tbl2'>";
	echo"<img src='".INFUSIONS."fusion_tube/images/stats.png' alt='' style='padding-left: 5px; padding-right: 5px; padding-top: 10px; border: 0px; vertical-align:middle;' /></div>";
	echo "<div style='padding-left: 60px;'  class='tbl'>";
	echo THEME_BULLET." <span class='side-small'>".$locale['ft_129']." ".dbcount("(video_id)", DB_VIDEOS, "video_id");
	echo"</span><br />\n";
	echo THEME_BULLET." <span class='side-small'>".$locale['ft_130']." ".dbcount("(video_cat_id)", DB_VIDEO_CATS, "video_cat_id");
	echo"</span>\n";

$result = dbquery(
			"SELECT vi.*, vc.*
					FROM ".DB_VIDEOS." vi
					INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
					".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
					ORDER BY video_datestamp DESC LIMIT 0,1");

if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		echo"<br />\n";
		
		echo THEME_BULLET." <span class='side-small'>".$locale['ft_168']."  <a href='".BASEDIR."infusions/fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."' class='side-small'>".trimlink($data['video_name'], 100)."</a></span>";
	}
}

$result = dbquery(
			"SELECT vi.*, vc.*
					FROM ".DB_VIDEOS." vi
					INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
					".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
					ORDER BY video_views DESC LIMIT 0,1");

if (dbrows($result) != 0) {
	while ($data = dbarray($result)) {
		echo"<br />\n";
		
		echo THEME_BULLET." <span class='side-small'>".$locale['ft_189']."  <a href='".BASEDIR."infusions/fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."' class='side-small'>".trimlink($data['video_name'], 100)."</a> [".$data['video_views']." ".$locale['ft_108']."]</span>";
	}
}
echo"</div></div>";
	closetable();
	}

	}
	
?>