<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fusion_tube_rss.php
| Version: 1.09
| Author: PHP-Fusion Mods UK
| Developers: Craig & DrunkeN
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
include INFUSIONS."fusion_tube/infusion_db.php";
include LOCALE.LOCALESET."global.php";
if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
		include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."fusion_tube/locale/English.php";
	}
	

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));


if ($ftsettings['vidsrss'] !== "1") { redirect("../../../index.php"); }

echo "<?xml version='1.0' encoding='".$locale['charset']."'?>\n";
global $settings, $db_prefix;
$result = dbquery("SELECT vi.video_id, vi.video_name, vi.video_description, vi.video_views, vi.video_cat, vi.video_url, 
						vi.video_datestamp,  vi.video_user, vu.user_id, vu.user_name, vu.user_status,
						vc.video_cat_id, vc.video_cat_access 
						FROM ".DB_VIDEOS." vi
						LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
						INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
						".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))." 
						 ORDER BY video_datestamp 
						DESC LIMIT 0,10");
						
$numrows = dbrows($result);
echo "<rss version='2.0' xmlns:atom='http://www.w3.org/2005/Atom'>\n\n";

echo "<channel>\n";

echo "<title>".htmlspecialchars($settings['sitename'])." ".$locale['ft_177']."</title>\n";
echo "<link>".$settings['siteurl']."</link>\n";
echo "<description>".$settings['description']."</description>\n";

echo "<image>
<title>".htmlspecialchars($settings['sitename'])." ".$locale['ft_177']."</title>
<url>".$settings['sitebanner']."</url>
<link>".$settings['siteurl']."</link>
</image>";

echo "<managingEditor>".$settings['siteemail']." (".$locale['ft_178'].")</managingEditor>\n";
echo "<webMaster>".$settings['siteemail']." (".$locale['ft_178'].")</webMaster>\n";
echo "<language>en-gb</language>\n\n";

for ($i=0;$i < $numrows;$i++)  {
$data = dbarray($result);

$video = "<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' style='border: 0px; width: 120px; height: 90px;' /></a>
<br />".nl2br(parsesmileys(parseubb($data['video_description'])));
echo "<item>\n";

echo "<title>".$data['video_name']."</title>\n";
echo "<link>".stripslashes(htmlspecialchars($settings['siteurl']."".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])))."</link>\n";
echo "<description>".stripslashes(htmlspecialchars($video))."</description>\n";
echo "<pubDate>".date("r",$data['video_datestamp'])."</pubDate>\n";
echo "<guid>".stripslashes(htmlspecialchars($settings['siteurl']."".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])))."</guid>\n";

echo "</item>\n\n";
}

echo "</channel>\n";

echo "</rss>";
?>