<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_page.php
| Version: 1.09
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| SOME CODE FROM PHP-FUSION profile.php by Nick Jones
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."fusion_tube/infusion_db.php";
include INFUSIONS."fusion_tube/inc/nav_func.php";
include INFUSIONS."fusion_tube/inc/ft_stats_func.php";
if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."fusion_tube/locale/English.php";
}

add_to_head("<link rel='stylesheet' href='".INFUSIONS."fusion_tube/inc/css/vid-css.css' type='text/css' media='screen' />");

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));

if ($ftsettings['vidsenable'] !== "1"  && !checkrights('VID')) { redirect("../../index.php"); }
if ($ftsettings['vidsenable'] !== "1" && iADMIN && checkrights('VID')) {
echo "<div id='close-message'><div class='admin-message'><span style='color: #FF0000; font-weight: bold;'>".$locale['ft_194']."</span><br />".$locale['ft_112']."</div></div>\n";
}


$double_check = isnum($_GET['videouser']) ? stripinput($_GET['videouser']) : redirect("../../index.php");

if (isset($_GET['videouser']) && isnum($_GET['videouser']) && $double_check) {

$section= isset($_GET['section']) && isnum($_GET['section']) ? stripinput($_GET['section']) : "";

if ($ftsettings['video_nav'] == "1") { echo ftnav(); }


$resultb = dbquery("SELECT vi.*, vu.*
FROM ".DB_VIDEOS." vi
LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
WHERE  video_user='".stripinput($_GET['videouser'])."'");

if (dbrows($resultb)) {
$datab = dbarray($resultb);
$resultd = dbquery("SELECT vi.*, vu.*
FROM ".DB_VIDEOS." vi
LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
WHERE  video_user='".stripinput($_GET['videouser'])."' ORDER BY video_id
DESC LIMIT 0,1");


add_to_title($locale['global_200'].((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? $locale['ft_242'] : $datab['user_name'].$locale['ft_230']) : $datab['user_name'].$locale['ft_230']));

opentable(((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? $locale['ft_242'] : $datab['user_name'].$locale['ft_230']) : $datab['user_name'].$locale['ft_230']));
echo"<a title='".$locale['ft_125']."' href='".INFUSIONS."fusion_tube/videos.php'><img src='".INFUSIONS."fusion_tube/images/back.png' style='padding: 10px; border: 0px; vertical-align:middle;' alt='".$locale['ft_125']."'/></a>\n";
echo "<table cellpadding='0' cellspacing='1' width='500' style='margin-bottom: 20px;' class='tbl-border center'>\n<tr>\n";
if ($datab['user_avatar'] && file_exists(IMAGES."avatars/".$datab['user_avatar'])) {
echo "<td rowspan='6' width='1%' class='tbl profile_user_avatar'><!--profile_user_avatar--><img src='".IMAGES."avatars/".$datab['user_avatar']."' alt='' /></td>\n";
}else{
echo "<td rowspan='6' width='1%' class='tbl profile_user_avatar'><!--profile_user_avatar--><img src='".IMAGES."avatars/noavatar100.png' alt='' /></td>\n";
}
echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['ft_231']."</td>\n";
echo "<td align='right' class='tbl1 profile_user_name'><!--profile_user_name--><a href='".BASEDIR."profile.php?lookup=".$datab['video_user']."' class='profile-link'>".$datab['user_name']."</a></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['ft_232']."</td>\n";
echo "<td align='right' class='tbl1'>".number_format(dbcount("(video_id)", DB_VIDEOS, "video_user='".$datab['user_id']."'"))."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['ft_233']."</td>\n";
echo "<td align='right' class='tbl1'>".number_format(dbcount("(fav_video_id)", DB_VIDEO_FAVS, "fav_video_user='".$datab['user_id']."'"))."</td>\n";
echo "</tr><tr>\n";
echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['ft_234']."</td>\n";
echo "<td align='right' class='tbl1'>";
if (dbrows($resultd)) { $datad = dbarray($resultd);
echo "<a title='".$datad['video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$datad['video_cat']."&amp;video_id=".$datad['video_id']."&amp;v=".stripslashes($datad['video_url'])."'>".showdate("%B %d %Y %H:%M", $datad['video_datestamp'])."</a>";
}
echo"</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo"<div style='text-align: center;'><img src='".INFUSIONS."fusion_tube/images/bullet.png' style='border: 0px; vertical-align:middle;' alt='' /><a href='".BASEDIR."infusions/fusion_tube/user_page.php?videouser=".stripinput($_GET['videouser'])."'>".$locale['ft_082']."</a> <img src='".INFUSIONS."fusion_tube/images/bullet.png' style='border: 0px; vertical-align:middle;' alt='' /><a href='".BASEDIR."infusions/fusion_tube/user_page.php?videouser=".stripinput($_GET['videouser'])."&amp;section=2'>".$locale['ft_235']."</a> <img src='".INFUSIONS."fusion_tube/images/bullet.png' style='border: 0px; vertical-align:middle;' alt='' /><a href='".BASEDIR."infusions/fusion_tube/user_page.php?videouser=".stripinput($_GET['videouser'])."&amp;section=1'>".$locale['ft_236']."</a></div>";
closetable();


if (isset($_GET['section']) && $section == "1") {

opentable(((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? " ".$locale['ft_132'] : $datab['user_name'].$locale['ft_237']) : $datab['user_name'].$locale['ft_237']));
echo "<div style='text-align: center; margin-bottom: 5px;'>".((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? " ".$locale['ft_211'] : $datab['user_name'].$locale['ft_237']) : $datab['user_name'].$locale['ft_237'])."</div><br />";

$rowsb = number_format(dbcount("(fav_video_id)", DB_VIDEO_FAVS, "fav_video_user='".$datab['user_id']."'"));

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']) || $_GET['rowstart'] > $rowsb) { $_GET['rowstart'] = 0; }

$result = dbquery("SELECT vf.*, u.user_id, u.user_name, u.user_status
FROM ".DB_VIDEO_FAVS." vf
LEFT JOIN ".DB_USERS." u ON u.user_id=vf.fav_video_user
WHERE fav_video_user='".stripinput($_GET['videouser'])."'
ORDER BY fav_video_id
DESC LIMIT  ".stripinput($_GET['rowstart']).",".$ftsettings['videos_per_page']);

$numrows = dbrows($result); $i = 1;
$counter = 0; $columns = 2;

if (dbrows($result)) {
$i = 0;

echo "<table cellpadding='0' cellspacing='0' width='100%' style='vertical-align:top;' class='tbl-border'>\n";
while ($data = dbarray($result)) {

if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
if ($data['fav_video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
} else {
$new = "";
}
echo "<td width='20%' class='tbl2'>";
if (strlen($data['fav_video_url']) == "6") {
echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['fav_video_cat']."&amp;video_id=".$data['fav_video_id']."&amp;v=".stripslashes($data['fav_video_url'])."'><img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['fav_video_url'])."' alt='".$data['fav_video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
}else{
echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['fav_video_cat']."&amp;video_id=".$data['fav_video_id']."&amp;v=".stripslashes($data['fav_video_url'])."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['fav_video_url'])."/default.jpg' alt='".$data['fav_video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
}
echo"</td>";
echo "<td  width='' class='tbl2'>";
echo"<a title='".$data['fav_video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['fav_video_cat']."&amp;video_id=".$data['fav_video_id']."&amp;v=".stripslashes($data['fav_video_url'])."'>".trimlink($data['fav_video_name'], 23)."</a>";
echo $new;

echo "<br /><span class='small'>".$locale['ft_150']." ".$data['fav_video_views']."</span>\n";
$video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='V' AND comment_hidden='0' AND comment_item_id='".$data['fav_video_id']."'");
if ($ftsettings['video_comments'] == "1") {
echo"<br /><span class='small'>".$locale['ft_113']." ".$video_comments."</span>";
}
if ($ftsettings['video_ratings'] == "1") {
$rate = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='V' AND rating_item_id='".$data['fav_video_id']."'");
$info = dbresult($rate,0);
$num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='V' AND rating_item_id='".$data['fav_video_id']."'");
$video_rating = ($num_rating ? $info / $num_rating : 0);
echo"<br /><span class='small'>".$locale['ft_151']."</span><img src='".INFUSIONS."fusion_tube/images/rate/".ceil($video_rating).".gif' width='64' height='12' alt='".ceil($video_rating)."' style='padding-right: 30px; vertical-align:middle;' title='".$locale['ft_124']." ".ceil($video_rating)."' />";
}
echo"</td>\n";
$counter++;
if ($i != $numrows) {  $i++; }
}
echo "</tr>\n</table>\n";
if ($rowsb > $ftsettings['videos_per_page']) echo "<div style='margin-top:5px; text-align: center;'>\n".makepagenav($_GET['rowstart'],$ftsettings['videos_per_page'],$rowsb,3, FUSION_SELF."?videouser=".stripinput($_GET['videouser'])."&amp;section=1&amp;")."\n</div><br />\n";
closetable();
}

}elseif (isset($_GET['section']) && $section == "2") {


opentable(((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? " ".$locale['ft_235'] : $datab['user_name'].$locale['ft_238']) : $datab['user_name'].$locale['ft_238']));

$rowsc = number_format(dbcount("(video_id)", DB_VIDEOS, "video_update_datestamp !=''"));

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']) || $_GET['rowstart'] > $rowsc) { $_GET['rowstart'] = 0; }

$result = dbquery("SELECT vi.*, vu.user_id, vu.user_name, vu.user_status,
vc.video_cat_id, vc.video_cat_access
FROM ".DB_VIDEOS." vi
LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))."
AND video_user='".stripinput($_GET['videouser'])."' AND video_update_datestamp ORDER BY video_update_datestamp DESC LIMIT ".stripinput($_GET['rowstart']).",".$ftsettings['videos_per_page']);

$numrows = dbrows($result); $i = 1;
$counter = 0; $columns = 2;
if (dbrows($result)) {
$i = 0;

echo "<table cellpadding='0' cellspacing='0' width='100%' style='vertical-align:top;' class='tbl-border'>\n";
while ($data = dbarray($result)) {
if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
if ($data['video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
} else {
$new = "";
}
echo "<td width='20%' class='tbl2'>";
if (strlen($data['video_url']) == "6") {
echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'><img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
}else{
echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
}
echo"</td>";
echo "<td  width='' class='tbl2'>";
echo"<a title='".$data['video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'>".trimlink($data['video_name'], 23)."</a>";
echo $new;
echo" <br /><span class='small'>".$locale['ft_148'].": ".showdate("%d.%m.%Y %H:%M", $data['video_update_datestamp'])."</span>\n";
echo"</td>\n";
$counter++;
if ($i != $numrows) {  $i++; }
}
echo "</tr>\n</table>\n";

if ($rowsc > $ftsettings['videos_per_page']) echo "<div style='margin-top:5px; text-align: center;'>\n".makepagenav($_GET['rowstart'],$ftsettings['videos_per_page'],$rowsc,3, FUSION_SELF."?videouser=".stripinput($_GET['videouser'])."&amp;section=2&amp;")."\n</div><br />\n";
}else{
echo"<div style='text-align:center;'>".$locale['ft_147b']."</div>\n";
}
closetable();

}else{

$rows = number_format(dbcount("(video_id)", DB_VIDEOS, "video_user='".stripinput($_GET['videouser'])."'"));

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']) || $_GET['rowstart'] > $rows) { $_GET['rowstart'] = 0; }

$result = dbquery("SELECT vi.*, vu.user_id, vu.user_name, vu.user_status,
vc.video_cat_id, vc.video_cat_access
FROM ".DB_VIDEOS." vi
LEFT JOIN ".DB_USERS." vu ON vi.video_user=vu.user_id
INNER JOIN ".DB_VIDEO_CATS." vc ON vi.video_cat=vc.video_cat_id
".(iSUPERADMIN ? "" : " WHERE ".groupaccess('video_cat_access'))."
AND video_user='".stripinput($_GET['videouser'])."' ORDER BY video_datestamp
DESC LIMIT ".stripinput($_GET['rowstart']).",".$ftsettings['videos_per_page']);

opentable(((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? " ".$locale['ft_082'] : $datab['user_name'].$locale['ft_239']) : $datab['user_name'].$locale['ft_239']));

$numrows = dbrows($result); $i = 1;
$counter = 0; $columns = 2;
if (dbrows($result)) {

echo"<div style='text-align: center; margin-bottom: 20px;'>".((iMEMBER) ? (($datab['video_user'] == $userdata['user_id']) ? $locale['ft_132']." " : $locale['ft_240'].$datab['user_name']) : $locale['ft_240'].$datab['user_name'])."</div>";
$i = 0;
echo "<table cellpadding='0' cellspacing='0' width='100%' style='vertical-align:top;' class='tbl-border'>\n";
while ($data = dbarray($result)) {
if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
if ($data['video_datestamp']+604800 > time()+($settings['timeoffset']*3600)) {
$new = " <img src='".INFUSIONS."fusion_tube/images/new.png' style='border: 0px; vertical-align:middle;' alt='".$locale['ft_057']."' />";
} else {
$new = "";
}
echo "<td width='20%' class='tbl2'>";
if (strlen($data['video_url']) == "6") {
echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'><img src='http://www.dailymotion.com/thumbnail/video/".stripslashes($data['video_url'])."' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
}else{
echo"<a href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'><img src='http://i3.ytimg.com/vi/".stripslashes($data['video_url'])."/default.jpg' alt='".$data['video_name']."' class='vid-cat-image' style='border: 0px; width: 120px; height: 90px;' /></a>";
}
echo"</td>";
echo "<td  width='' class='tbl2'>";
echo"<a title='".$data['video_name']."' href='".INFUSIONS."fusion_tube/view.php?cat_id=".$data['video_cat_id']."&amp;video_id=".$data['video_id']."&amp;v=".stripslashes($data['video_url'])."'>".trimlink($data['video_name'], 23)."</a>";
echo $new;
echo "<br /><span class='small'>".$locale['ft_241'].showdate("%d.%m.%Y", $data['video_datestamp'])."</span><br />";
echo "<span class='small'>".$locale['ft_150']." ".$data['video_views']."</span>\n";
$video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='V' AND comment_hidden='0' AND comment_item_id='".$data['video_id']."'");
if ($ftsettings['video_comments'] == "1") {
echo"<br /><span class='small'>".$locale['ft_113']." ".$video_comments."</span>";
}
if ($ftsettings['video_ratings'] == "1") {
$rate = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='V' AND rating_item_id='".$data['video_id']."'");
$info = dbresult($rate,0);
$num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='V' AND rating_item_id='".$data['video_id']."'");
$video_rating = ($num_rating ? $info / $num_rating : 0);
echo"<br /><span class='small'>".$locale['ft_151']."</span><img src='".INFUSIONS."fusion_tube/images/rate/".ceil($video_rating).".gif' width='64' height='12' alt='".ceil($video_rating)."' style='padding-right: 30px; vertical-align:middle;' title='".$locale['ft_124']." ".ceil($video_rating)."' />";
}
echo"</td>\n";
$counter++;
if ($i != $numrows) {  $i++; }
}
echo "</tr>\n</table>\n";
if ($rows > $ftsettings['videos_per_page']) echo "<div style='margin-top:5px; text-align: center;'>\n".makepagenav($_GET['rowstart'],$ftsettings['videos_per_page'],$rows,3, FUSION_SELF."?videouser=".stripinput($_GET['videouser'])."&amp;")."\n</div><br />\n";
}else{
echo"<div style='text-align:center;'>".$locale['ft_147b']."</div>\n";
}
closetable();

}
}else{
redirect("../../index.php");
}
}else{
redirect("../../index.php");
}

require_once THEMES."templates/footer.php";
?>
