<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: video_cats_panel.php
| Version: 1.08
| Author: PHP-Fusion Mods UK
| Developers: Craig & DrunkeN
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."fusion_tube/infusion_db.php";

if (file_exists(INFUSIONS."fusion_tube/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fusion_tube/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fusion_tube/locale/English.php";
}

$ftsettings = dbarray(dbquery("SELECT * FROM ".DB_VIDEO_SETTINGS.""));

if ($ftsettings['vidsenable'] == "1") { 
	openside($locale['ft_171']);

	$result = dbquery("SELECT video_cat_id, video_cat_name FROM ".DB_VIDEO_CATS." WHERE ".groupaccess('video_cat_access')." ORDER BY video_cat_name");
	if (dbrows($result)) {
	while($data = dbarray($result)) {
				
				$num = dbcount("(video_cat)", DB_VIDEOS, "video_cat='".$data['video_cat_id']."'");
				$video_cat = trimlink($data['video_cat_name'], 18);
				echo THEME_BULLET." <a title='".$data['video_cat_name']."' href='".INFUSIONS."fusion_tube/videos.php?cat_id=".$data['video_cat_id']."'>".$video_cat."</a> <span style='float:right;' class='small'>($num)</span><br />";
				
				}
				} else {
				echo "<div style='text-align:center'><br />\n".$locale['ft_056']."</div>\n";
				}
				closeside();
}

?>